/********************************************************************************************/
/*************************************STRUCTURE**DU**SITE************************************/
/********************************************************************************************/


/*Mise en page du "corps"*/
body{
	background-color:#D8D8D8;
	width: 100%;
	margin: inherit;
	overflow: scroll;
}


/*Logo+Bannière*/
.entete{
width:100%;
height:200px;
background-size:100%;
overflow: hidden;
position: relative;

}

.entete_hr hr{
	margin-top: -10px;
	background-color: #2E2E2E;
	width: 95%;
	height: 31px;
	border: none; /*on supprime le style par défaut*/
	position: absolute;
	z-index: 2;
  }


.bandeau{
	position: absolute;
	width: 100%;
	top: auto;
	bottom: auto;
	right: auto;
	left: auto;
	height: 250px;
	z-index: 1;
	margin-top: 10px;
}

.logo{
	float: bottom;
	bottom: 0;
	top: 9%;
	position: absolute;
	z-index: 2;
}

.logo_footer{
	position: absolute;
	float: left;
	left: -19.5%;
	height: 100%;
	top: 0%;
}

.logo_footer img{
	height: 100%;
	width: auto;
}

.boutons{
	position: absolute;
	z-index: 2;
	float: right;
	right: 0;
}

/*Boutons connexion, inscription, déconnexion et modification du profil*/
#connexion, #inscription{
	background-color: #2E2E2E;
	border: none;
	color: white;
	/*padding: 15px 60px; */
	text-align: center;
	text-decoration: none;
	font-family:Palatino Linotype;
	font-size: 16px;
	float:right;


}

#connexion:hover, #inscription:hover{
	background-color:#4D4D4D;
	border:none;
	cursor:pointer;
}

#deconnexion, #modifiermonprofil, #admin{
	background-color: #2E2E2E;
	border: none;
	color: white;
	/*padding: 15px 60px; */
	text-align: center;
	text-decoration: none;
	font-family:Palatino Linotype;
	font-size: 16px;
	float:right;


}

#deconnexion:hover, #modifiermonprofil:hover, #admin:hover{
	background-color:#4D4D4D;
	border:none;
	cursor:pointer;
}

/*Présentation formulaire d'inscription
.styleinscription{
}
*/

.styleinscription input[type=text], .styleinscription input[type=email], .styleinscription input[type=password]

.styleinscription input{
display:block;
}

.table{
border: transparent;
border-radius: 2px;
font-family:Palatino-Linotype;
font-size:14px;
padding: 7px 60px;
transition: all 0.5s ease;
}

.table:hover{
font-size:cover;
font-family:Palatino-Linotype;
margin-bottom:5px;
}

.tablecatalogue{
height: 70%;
border-collapse:collapse;
border-radius:10px;
max-width:700px;
padding: 10px;
}


/*
.tablecatalogue2{
height: 50%;
background-color:#E6E6E6;
border-collapse:collapse;
border-radius:10px;
width:70%;
max-width:700px
min-width:400px;
text-align:center;
font-family: Palatino Linotype;
}
*/

.catalogue{
background-color:grey;
}

#tablecata{
color:white;
background-color:#5858FA;
text-shadow: 2px 2px 2px black;
opacity:0.9;
}
/*.tablecatalogue:hover{
font-size:cover;
background-color: grey;
font-family:Palatino-Linotype;
border:transparent;
color: white;
margin-bottom:5px;
}*/

.tableutilisateurs{
border: 1px solid black;
border-radius: 2px;
font-family:Palatino-Linotype;
font-size:14px;
padding: 7px 60px;
transition: all 0.5s ease;
}




.styleinscription input[type=reset]{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
font-size:16px;
border: transparent;
padding: 15px 112px;
color:#6E6E6E;
border-radius: 2px;
transition: all 0.5s ease;
}

.styleinscription input[type=reset]:hover{
background-color: grey;
color:white;
border-radius: 150px;
margin-bottom:5px;
cursor:pointer;
}


.styleinscription input[type=submit]{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
font-size:16px;
border: transparent;
margin-bottom:10px;
padding: 15px 85px;
color:#6E6E6E;
border-radius: 2px;
transition: all 0.5s ease;
}

.styleinscription input[type=submit]:hover{
background-color: grey;
color:white;
border-radius: 150px;
margin-bottom:5px;
cursor:pointer;
}

/* Présentation formulaire de connexion
.styleconnexion{
}
*/

.styleconnexion input [type=text], .styleconnexion input[type=password]

.styleconnexion input{
display:block;
margin-bottom:10px;
}

.inputbasic{
border: transparent;
border-radius: 2px;
font-family:Palatino-Linotype;
font-size:16px;
padding: 10px 60px;
transition: all 0.5s ease;
}

.inputbasic:hover{
background-color: grey;
font-family:Palatino-Linotype;
border:transparent;
color: white;
margin-bottom:10px;
cursor:pointer;
}

.styleconnexion input[type=submit]{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
font-size:16px;
border: 1px solid lightgrey;
margin-bottom:10px;
padding: 15px 103px;
color:#6E6E6E;
border-radius: 2px;
transition: all 0.5s ease;
}

.styleconnexion input[type=submit]:hover{
background-color: grey;
color:white;
border-radius: 150px;
margin-bottom:15px;
cursor:pointer;
}

.username{
background-image: url('../img/user2.png');
background-repeat: no-repeat;
background-position: 4px 7px;
background-size:30px;
}

.mdp{
background-image: url('../img/mdp2.png');
background-repeat: no-repeat;
background-position: 4px 7px;
background-size: 25px;
}

/*Zone de formulaire de contact*/
/*Présentation formulaire d'inscription
.formcontact{
}
*/

.formcontact input[type=text], .formcontact input[type=email], .formcontact input[type=password], .formcontact input[type=select]

.formcontact input{
display:block;
}

.select{
border: transparent;
border-radius: 2px;
font-family:Palatino-Linotype;
font-size:16px;
padding: 10px 60px;
transition: all 0.5s ease;
}

/*.select:hover{

}
*/

.textarea{

border: transparent;
border-radius: 2px;
font-family:Palatino-Linotype;
font-size:16px;
padding: 10px 60px;
}

.textarea:hover{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
border:transparent;
color: #D8D8D8;
margin-bottom:10px;
cursor:pointer;
}

.formcontact input[type=reset]{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
font-size:16px;
border: transparent;
padding: 15px 112px;
color:#6E6E6E;
border-radius: 2px;
transition: all 0.5s ease;
}

.formcontact input[type=reset]:hover{
background-color: grey;
color:white;
border-radius: 150px;
margin-bottom:5px;
cursor:pointer;
}


.formcontact input[type=submit]{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
font-size:16px;
border: transparent;
margin-bottom:10px;
padding: 15px 85px;
color:#6E6E6E;
border-radius: 2px;
transition: all 0.5s ease;
}

.formcontact input[type=submit]:hover{
background-color: grey;
color:white;
border-radius: 150px;
margin-bottom:5px;
cursor:pointer;
}

/*Formulaire Edition de profil*/
.formedition input[type=submit]{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
font-size:16px;
border: transparent;
margin-bottom:10px;
padding: 15px 85px;
color:#6E6E6E;
border-radius: 2px;
transition: all 0.5s ease;
}

.formedition input[type=submit]:hover{
background-color: grey;
color:white;
border-radius: 150px;
margin-bottom:5px;
cursor:pointer;
}


/*Formulaire ajout bdd*/
.formajout input[type=file]{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
font-size:16px;
border: transparent;
margin-bottom:10px;
padding: 12px 10px;
color:#6E6E6E;
border-radius: 2px;
transition: all 0.5s ease;
}

.formajout input[type=file]:hover{
background-color: grey;
color:white;
border-radius: 150px;
margin-bottom:5px;
cursor:pointer;
}

.formajout input[type=submit]{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
font-size:16px;
border: transparent;
margin-bottom:10px;
padding: 15px 47px;
color:#6E6E6E;
border-radius: 2px;
transition: all 0.5s ease;
}

.formajout input[type=submit]:hover{
background-color: grey;
color:white;
border-radius: 150px;
margin-bottom:5px;
cursor:pointer;
}

/*Mot de passe oublié*/
.mdpoublie input[type=submit]{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
font-size:16px;
border: transparent;
margin-bottom:10px;
padding: 15px 47px;
color:#6E6E6E;
border-radius: 2px;
transition: all 0.5s ease;
}

.mdpoublie input[type=submit]:hover{
background-color: grey;
color:white;
border-radius: 150px;
margin-bottom:5px;
cursor:pointer;
}


/*Zone de boutons*/
.zone1{
background-color:#D8D8D8;
}

/*Différents boutons*/
#accueil, #produits, #tbi, #serveur, #classe, #tablettes, #services, #download, #prestations, #intervention, #venteflash, #destockage, #espaceclients, #contact, #tablette, #catalogue, #panier, #panier, #commandes, #profil, #classe{
background-color: #2E2E2E;
border: none;
color: white;
padding: 15px 60px;
text-align: center;
text-decoration: none;
display: inline-block;
font-family:Palatino Linotype;
font-size: 16px;
width:16.41%;
}


/* Survol à la souris des boutons */
#accueil:hover, #produits:hover, #tbi:hover, #serveur:hover, #classe:hover, #tablettes:hover, #services:hover, #download:hover, #prestations:hover, #intervention:hover, #venteflash:hover, #destockage:hover, #espaceclients:hover, #contact:hover, #tablette:hover, #catalogue:hover, #panier:hover, #commandes:hover, #profil:hover, #classe:hover{
background-color:#4D4D4D;
border-radius:none;
cursor:pointer;
}


.deroul1 div{
display:none;
}

.deroul1:hover div{
display:block;
}

.deroul2 div{
display:none;
}

.deroul2:hover div{
display:block;
}

.deroul3 div{
display:none;
}

.deroul3:hover div{
display:block;
}



/*Zone images défilantes*/
.zone2{
	background-color:#D8D8D8;

}

/*Zone à gauche*/
.zone3{
	float:left;
	padding-left: 1%;
	padding-top: 1%;
	width: 350px;
	position: relative;
}


/* titres de la page d'accueil */
.zone3 h2{
	border-width: 2px;
	border-style: solid;
	border-radius: 10px;
	width: 350px;
	height: auto;
	text-align: center;
}

.zone4 h2{
	border-width: 2px;
	border-style: solid;	
	border-radius: 10px;
	width: 350px;
	text-align: center;
	position: relative

}

.zone5 h2{
	border-width: 2px;
	border-style: solid;	
	border-radius: 10px;
	width: 350px;
	text-align: center;
}

/*Zone au milieu*/
.zone4{
	margin: 0 auto;
	padding-top: 1%;
	width: 500px;
	text-align: center;
}


/* Zone à droite */
.zone5{
	padding-left: auto;
	right: 0;
	float: right;
	padding-right: 1%;
	width: 350px;
	margin-top: -537px;
}

.zones_accueil{
	display: inline;
	vertical-align: middle;
}

/*Zone en bas à droite*/
.zone6{

	float:right; 
	width:300px; 
	padding-top:200px; 
} 

/*Zone du footer*/
#page{
position: relative;
min-height: 100%;
}
.zone7{
	left:0;
	right:0;
	bottom:0;
	background-color:#2E2E2E;
	background-position:cover;
	padding:10px;
	text-align:center;
	clear:both;
	position: relative;
}
/*Redaction*/
.formarticles input[type=submit]{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
font-size:16px;
border: transparent;
margin-bottom:10px;
padding: 15px 47px;
color:#6E6E6E;
border-radius: 2px;
transition: all 0.5s ease;
}

.formarticles input[type=submit]:hover{
margin-top:2px;
background-color: grey;
color:white;
border-radius: 150px;
margin-bottom:5px;
cursor:pointer;
}

.formarticles textarea{
margin-top:2px;
border: transparent;
border-radius: 2px;
font-family:Palatino-Linotype;
font-size:16px;
resize:none;
}

.formarticles textarea:hover{
background-color: #A4A4A4;
font-family:Palatino-Linotype;
border:transparent;
color: #D8D8D8;
margin-bottom:10px;
cursor:pointer;
}
/*Liens*/
a{
	font-size:16px;
	text-decoration:none;
	color:#6e6d6d;
}



a:hover{
	color:#a7a7a7;
}

/*Zone contact*/
.zonecontact{
	display:block;
	float:left;
	width:240px;
}

/*Zone de formulaire de contact*/
.formulairedecontact{
	margin-left:245px;
}

/*textarea*/
#message, #adresse, #descriptifpanne{
	resize:none;
}

#intervention{
	border:red;
}

.textarea{
	resize:none;
}


/* menu */
#menu-demo, #menu-demo ul{
	padding:0;
	margin:0;
	list-style:none;
	text-align:center;
	}
	#menu-demo li{
	display:inline-block;
	position:relative;
	background-color: #2E2E2E;
	border: none;
	color: white;
	padding: 0.58% 4.16%;
	text-align: center;
	text-decoration: none;
	font-family:Palatino Linotype;
	font-size: 16px;
	width:8.345%;
	transition-property: background-color;
	transition-duration: 3.2s ;
	}

	#menu-demo li:hover{
		transition-property: background-color;
		transition-duration: 0s ;
	}

	#menu-demo ul li{
	display:inherit;
	background-color:#4D4D4D;
	cursor:pointer;
	width: 100%;
	height: 1000%;
	padding: 0.58% 4.16%;
	}

	#menu-demo ul li:hover{
	border-radius:0;
	background-color:#4D4D4D;
	}

	#menu-demo li:hover{
		background-color:#4D4D4D;
	}
	
	#menu-demo ul{
	width: 100%;
	position:absolute;
	z-index: 1000;
	max-height:0;
	left: 0;
	right: 0;
	overflow:hidden;
	-moz-transition: .8s all .3s;
	transition: .8s all .3s;
	}
	#menu-demo li:hover ul{
	max-height:1000%;
	max-width:1000%;
	
	}
	
	/* les a href */
	#menu-demo a{
	text-decoration:none;
	display:block; 
	color:#fff;
	}


	#menu-demo ul a{
	padding: 0.58% 4.16%;
	}

	#menu-demo li:hover li a{
	color:#fff;
	text-transform:inherit;
	}

	#menu-demo li:hover a, #menu-demo li li:hover a{
	color:#000;
	}


	.boutique-droite{
		text-align : center;
		margin-bottom: 1%;
		float: center;
		margin-left: 7.5%;
		margin-right: 2.5%;
	}

	.boutique-produit{
		text-align: center; 
		padding-top: 5%; 
	}

.droite{
	padding-left: auto;
	right: 0;
	float: right;
	padding-right: 1%;
	width: 300px;
	position: relative;
	margin-top: 0.5%;
}

.gauche
{
	float:left;
	padding-left: 1%;
	margin-left: 1%;
	width: 300px;
	position: relative;
	margin-top: 0.5%;
}

.zones_boutique
{
	width: 100%;
	display: block;
	height: 10%;
}

.boutique-produit:hover .invisible_boutique
{
	display: inline-block;
	font-size: 14px;
}

.boutique-produit:hover .visible_boutique
{
	display: none;
}



.invisible_boutique{
	top: 0;
	display: none;
	height: 33%;
}

.visible_boutique{
	height: 27%;
}

.col-3
{
	height: 450px;
	position: static;
	border-width:1px;
	border-style: outset;
	width: 20%;
}

.table_inter{
	border-spacing: 5px 1%;
	border-collapse: separate;
	margin-top: 1.5%;
}

td{
	padding: 5px;
	color: inherit;
}

.droite_gest_cata{
	padding-left: auto;
	right: 0;
	float: right;
	position: relative;
	margin-top: 0.5%;
}





/*Gestion des couleurs */
#menu-boutique {
	margin-left: 13%;
	margin-right: 10%;
	height: 25em;
	width: auto;
	
}


#menu-boutique li{
	border-radius:8px 8px 0 0;
	border: solid 2px gray;
	height: 19.7em;
}


#menu-boutique li{
	margin-left: 0.5%;
}
#menu-boutique ul li:nth-child(1n+0){
	border-top: none;
	border-bottom: none;
	border-radius: inherit;
	width: auto;
	margin-left: -1.3%;
	margin-right: 1.6%;
}

.categories{
	display: inline-block;
	text-align: center;
	vertical-align: middle;
	position: static;
}
#menu-boutique ul li{
	height: auto;
}

#menu-boutique, #menu-boutique ul{
	padding:0;
	list-style:none;
	text-align:center;
	}
	#menu-boutique li{
	display:inline-block;
	position:relative;
	
	}
	#menu-boutique ul li{
	display:block;
	margin-left: 1%;
	}

	#menu-boutique ul{
	position:absolute;
	z-index: 1000;
	left: 0;
	right: 0;
	width: 103%;
	}
	#menu-boutique li/*:hover*/ ul{
	height:18em;
	}

	/* les a href */
#menu-boutique a{
	text-decoration:none;
	display:block;
	padding:8px 32px;
	}
	#menu-boutique ul a{
	padding:0;
	}

	#menu-boutique{
		text-transform: capitalize;

	}

.whitefooter{
	color: white;
}

#classe_mobile{
	position: relative;
	right: 0;
	float: right;
	width: 40%;
	display: auto;
	left: 60%;
	margin-top: -10%;
}

.classe_numerique{
	display: auto;
}

.texte_classe{
	position: relative;
	left: 0;
	float: left;
	width: 60%;
	display: auto;
	text-align: center;
}

footer{
	display: auto;
	line-height: inherit;
	line-height: 1;
}

.logos_footer{
	position: absolute;
	float: right;
	right: 1%;
	height: 100%;
	top: 5%;
}

.recherche_admin{
	margin-top: 0.5%;
}

#tb_panier th{
	width: 9%;
}

#tb_panier #Libelle{
	width: 27%;
	text-align: initial;
}

#tb_panier td{
	text-align: center;
}

#tb_panier td #Libelle{
	text-align: initial;
}
#Libelle{
	text-align: initial;
}

#txt_center
{
	text-align: center;
}

#td_montantGlobal
{
	padding-top: 3%;
	padding-bottom: 1%;
	text-align: center;
}